//go:build dev
// +build dev

package cryptobox

func CryptoBoxSeedBytes() int {
	return 0
}

func CryptoBoxPublicKeyBytes() int {
	return 0
}

func CryptoBoxSecretKeyBytes() int {
	return 0
}

func CryptoBoxNonceBytes() int {
	return 0
}

func CryptoBoxMacBytes() int {
	return 0
}

func CryptoBoxPrimitive() string {
	return ""
}

func CryptoBoxBeforeNmBytes() int {
	return 0
}

func CryptoBoxZeroBytes() int {
	return 0
}

func CryptoBoxBoxZeroBytes() int {
	return 0
}

func CryptoBoxSeedKeyPair(seed []byte) ([]byte, []byte, int) {
	return nil, nil, 0
}

func CryptoBoxKeyPair() ([]byte, []byte, int) {
	return nil, nil, 0
}

func CryptoBoxBeforeNm(pk []byte, sk []byte) ([]byte, int) {
	return nil, 0
}

func CryptoBox(m []byte, n []byte, pk []byte, sk []byte) ([]byte, int) {
	return nil, 0
}

func CryptoBoxOpen(c []byte, n []byte, pk []byte, sk []byte) ([]byte, int) {
	return nil, 0
}

func CryptoBoxAfterNm(m []byte, n []byte, k []byte) ([]byte, int) {
	return nil, 0
}

func CryptoBoxOpenAfterNm(c []byte, n []byte, k []byte) ([]byte, int) {
	return nil, 0
}

func CryptoBoxGetSecretPublicKeyFrom(keypair []byte) (sk, pk []byte, err error) {
	return
}
